%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:   CCux Linux
Packager:	Karsten Brockmann  <arcam@ccux-linux.de>

Summary: 	Python bindings for ORBit2
Name:		python26-pyorbit
Version:	2.24.0
Release:	1
BuildArch:	i686
License:	GNU/LGPL 
URL:		http://www.pygtk.org/
Group:		Development/Python
Source0:	pyorbit-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	python26-devel ORBit2-devel

Obsoletes:	PyORBit <= %{version}-%{release}
Provides:	PyORBit = %{version}-%{release}

%description
Python bindings for ORBit2. 

%package	devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

Obsoletes:	PyORBit-devel <= %{version}-%{release}
Provides:	PyORBit-devel = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.


%post
ldconfig

%postun
ldconfig

%prep
%setup -n pyorbit-%{version}

%build
./configure --prefix=%_prefix PYTHON=/usr/bin/python%{PYVER} 
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
# Do NOT package the .so library into -devel !
%{python_sitelib}

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.0-1
- Version update
- rename package to python26-pyorbit
* Tue Oct 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 2.14.3-1
- Version update
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.1-1
- Version update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-1
- Initial Release
